NOTE: Had to write this class because we are back-level and cannot make use of modern iterators.

### Type parameters

- #### T

### Hierarchy

- ValueIterator

## Index

### Constructors

- constructor

### Properties

- _array
- _nextIndex

### Methods

- done
- next

## Constructors

### constructor

- new ValueIterator(array: T[]): ValueIterator

- - Defined in proxy/ValueIterator.ts:7

  #### Parameters

  - ##### array: T[]

  #### Returns ValueIterator

## Properties

### Private _array

_array: T[]

- Defined in proxy/ValueIterator.ts:6

### Private _nextIndex

_nextIndex: number = 0

- Defined in proxy/ValueIterator.ts:7

## Methods

### done

- done(): boolean

- - Defined in proxy/ValueIterator.ts:13

  #### Returns boolean

### next

- next(): T

- - Defined in proxy/ValueIterator.ts:17

  #### Returns T

Generated using TypeDoc